Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# AppEventListener

com.google.android.gms.ads.doubleclick.AppEventListener

## Class Overview

A listener interface for app events triggered by ads. App events allow JavaScript within an ad to trigger events in the application. The ad can trigger the app event with a name and optional data. It is then up to the application to decide how to handle the event.

## Summary

Public Methods
abstract void | onAppEvent(String name, String data) Called when an app event occurs.

## Public Methods

#### public abstract void onAppEvent (String name, String data)

Called when an app event occurs.

##### Parameters

name | The name of the app event.
data | Extra data included with the app event. The data can be `null`.